<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Donohoe-Financial
 */

?>

<footer id="colophon" class="site-footer">
	<div class="top-footer">
		<div class="container">
			<div class="row">
				<div class="col-lg-5">
					<div class="footer-content">
						<div class="footer-logo">
							<a href="<?php echo home_url(); ?>" title="Donohoe Financial" class="custom-logo-link">
								<img width="115" height="115" src="<?php the_field('footer_logo', 'option'); ?>" alt="Logo">
							</a>
						</div>
						<div class="footer-text">
							<?php the_field('Footer_details', 'option'); ?>
						</div>
					</div>
				</div>
				<div class="col-lg-4">
					<div class="footer-menu">
						<h3 class="h3-title">Navigation</h3>
						<?php
						wp_nav_menu(
							array(
								'theme_location' => 'footer_menu',
							)
						);
						?>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="contact-wp">
						<h3 class="h3-title">Contacts</h3>
						<ul>
							<?php
								$email = get_field('email', 'option');
								$contact = get_field('contact', 'option');
								$address = get_field('address', 'option');
							 ?>
							<li>
								<span class="icon"><img width="20" height="16" src="<?php echo home_url(); ?>/wp-content/themes/donohoe-financial/assets/images/mail.svg" alt="Email"></span>
								<a href="<?php echo esc_url($email['url']); ?>" title="<?php echo esc_html( $email['title'] ); ?>" class="text"><?php echo esc_html( $email['title'] ); ?></a>
							</li>
							<li>
								<span class="icon"><img width="18" height="18" src="<?php echo home_url(); ?>/wp-content/themes/donohoe-financial/assets/images/call.svg" alt="Call"></span>
								<a href="<?php echo esc_url( $contact['url'] ); ?>" title="<?php echo esc_html( $contact['title'] ); ?>" class="text callus"><?php echo esc_html( $contact['title'] ); ?></a>
							</li>
							<li>
								<span class="icon"><img width="20" height="18" src="<?php echo home_url(); ?>/wp-content/themes/donohoe-financial/assets/images/address.svg" alt="Address"></span>
								<a href="<?php echo esc_url( $address['url'] ); ?>" title="<?php echo $address['title']; ?>" class="text" target="_blank"><?php echo html_entity_decode($address['title']); ?></a>
								
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="footer-bottom-box">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-12">
					<div class="footer-bottom-text text-center">
						<div class="footer-bottom-link">
							<ul>
								<li>&copy; <?php echo date('Y'); ?> Donohoe Financial</li>
								<li><a href="<?php echo home_url(); ?>/privacy-policy" title="Privacy Policy">Privacy Policy</a></li>
								<li><a href="<?php echo home_url(); ?>/terms-of-use" title="Terms of Use">Terms of Use</a></li>
								<li><a href="<?php echo home_url(); ?>/cookie-policy" title="Cookies Policy">Cookies Policy</a></li>
							</ul>
						</div>
						<div class="footer-other-link">
							<p>Web Design &amp; Digital Marketing with <span><i class="fa fa-heart" aria-hidden="true"></i></span> by <a href="https://www.dotcomdesign.com" target="_blank" title="Dotcom Design" class="dotcom-link">Dotcom Design</a></p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>
<script>
jQuery(document).ready(function(){
	var list = jQuery('.mySortable'),
    updatePosition = function() {
        list.children().each(function(i, e){
            var hiddenInput = jQuery(this).find('input[type="hidden"]');
            if (hiddenInput.length > 0) { // Check if hidden input field exists
                hiddenInput.val(++i);
            }
        });
    };

list.sortable({
    placeholder: "ui-state-highlight",
    update: updatePosition
});
});
</script>



<!--  Request a Quote Modal Start -->
<div class="modal common-popup" id="request_a_quote">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="popup-title">
				<h2 class="h2-title">Request a Quote</h2>
				<button type="button" class="close close-popup" data-dismiss="modal"><i class="fas fa-times"></i></button>
			</div>
			<div class="common-popup-overflow">
				<div class="common-popup-text" data-simplebar>
					<div class="contact-form">
						<?php echo do_shortcode('[contact-form-7 id="56" title="Contact Us"]'); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Request a Quote  Modal End -->

<?php  
$title_visa_service_form                    = get_field("title_visa_service_form","option");
$terms_and_conditions_for_visa_service_form = get_field("terms_and_conditions_for_visa_service_form","option");
if($title_visa_service_form || $terms_and_conditions_for_visa_service_form){?>
	<!--  Request a Quote Modal Start -->
	<div class="modal common-popup" id="terms-conditions">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<?php 
				if($title_visa_service_form){?>
					<div class="popup-title">
						<h2 class="h2-title"><?php echo $title_visa_service_form; ?></h2>
						<button type="button" class="close close-popup" data-dismiss="modal"><i class="fas fa-times"></i></button>
					</div>
					<?php
				}
				if($terms_and_conditions_for_visa_service_form){?>
					<div class="common-popup-overflow">
						<div class="common-popup-text" data-simplebar>
							<div class="terms-condition-content">
								<?php echo $terms_and_conditions_for_visa_service_form; ?>
							</div>
						</div>
					</div>
					<?php
				}?>
			</div>
		</div>
	</div>
	<!-- Request a Quote  Modal End -->
	<?php
}?>
</body>

</html>